> For the complete documentation index, see [llms.txt](https://docs.dafiprotocol.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dafiprotocol.io/guides/reward-distributions.md).

# Reward Distributions

## Pool Balances

The poolBalance is distributed to users staking. It is initially supplied as native-tokens (DAFI) which is locked in the distributionContract, this is defined as maxTokens.

$$
Pool Balance = (maxTokens – totalDistributed + withdrawalFees) \* demandFactor
$$

This is later used, to understand how much dDAFI will be distributed per second, to the entire network.

$$
distributePerSecond = poolBalance / programDuration
$$


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dafiprotocol.io/guides/reward-distributions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
